Package be.ehealth.technicalconnector.service.timestamp.impl

# Class ConsultServiceV2Impl

java.lang.Object
be.ehealth.technicalconnector.service.timestamp.impl.AbstractConsultationServiceImpl<TSConsultTSBagRequest,TSConsultTSBagResponse,TSConsultRequest,TSConsultResponse>
be.ehealth.technicalconnector.service.timestamp.impl.ConsultServiceV2Impl

All Implemented Interfaces:
  `ConsultServiceV2`

public class ConsultServiceV2Impl extends AbstractConsultationServiceImpl<TSConsultTSBagRequest,TSConsultTSBagResponse,TSConsultRequest,TSConsultResponse> implements ConsultServiceV2
Implementation of `ConsultServiceV2`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConsultServiceV2Impl()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TSConsultResponse`
  `checkCompleteness(X509Certificate certificate, PrivateKey privateKey, TSConsultRequest consultRequest)`
  Retrieves the list of missing time stamps, provided is a time period and list of time stamps (id and times).
  `TSConsultTSBagResponse`
  `getTimestamp(X509Certificate certificate, PrivateKey privateKey, TSConsultTSBagRequest consultRequest)`
  Retrieves an actual time stamp from the eHealth-platform Archive, based on a unique sequence number and a time.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConsultServiceV2Impl

    public ConsultServiceV2Impl()

- ## Method Details

  - ### getTimestamp

    public TSConsultTSBagResponse getTimestamp(X509Certificate certificate, PrivateKey privateKey, TSConsultTSBagRequest consultRequest) throws TechnicalConnectorException
    Description copied from interface: `ConsultServiceV2`
    Retrieves an actual time stamp from the eHealth-platform Archive, based on a unique sequence number and a time.
    Specified by:
      `getTimestamp` in interface `ConsultServiceV2`
    Parameters:
      `certificate` - X.509 certificate, that includes the public key, of the organization invoking this service. This certificate is used for applying the required web service security policy. Eventually it is used for authentication and authorization purposes by the eHealth-platform.
      `privateKey` - Private key, linked to the X.509 certificate mentioned above.
      `consultRequest` - Request message for the Get Time Stamp operation.
    Returns:
      the timestamp Response from the Get Time Stamp operation. The data about the referenced Timestamp Bag is returned
    Throws:
      `TechnicalConnectorException` - the technical connector exception

  - ### checkCompleteness

    public TSConsultResponse checkCompleteness(X509Certificate certificate, PrivateKey privateKey, TSConsultRequest consultRequest) throws TechnicalConnectorException
    Description copied from interface: `ConsultServiceV2`
    Retrieves the list of missing time stamps, provided is a time period and list of time stamps (id and times).
    Specified by:
      `checkCompleteness` in interface `ConsultServiceV2`
    Parameters:
      `certificate` - X.509 certificate, that includes the public key, of the organization invoking this service. This certificate is used for applying the required web service security policy. Eventually it is used for authentication and authorization purposes by the eHealth-platform.
      `privateKey` - Private key, linked to the X.509 certificate mentioned above.
      `consultRequest` - Request message for the Check Completeness operation.
    Returns:
      the TS consult response Response message for the Check Completeness operation.
    Throws:
      `TechnicalConnectorException` - the technical connector exception